Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592305 - pkgwrangler issues
Summary: pkgwrangler issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: plymouth
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 638621
TreeView+ depends on / blocked
 
Reported: 2010-05-14 14:09 UTC by Ray Strode [halfline]
Modified: 2010-11-10 21:20 UTC (History)
1 user (show)

Fixed In Version: plymouth-0.8.3-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 638621 (view as bug list)
Environment:
Last Closed: 2010-11-10 21:20:32 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ray Strode [halfline] 2010-05-14 14:09:55 UTC
> error: Bad source: /data/work/CVS/rhel/plymouth/RHEL-6/tty-fix.patch: No such > file or directory
> -- the file is missing in repository, how did you manage to build it?
Apparently built it without the patch. I have no idea what's gone wrong there.  I've reopened bug 590774 to fix this.

> rpmlint complaints:
> plymouth.src:287: E: use-of-RPM_SOURCE_DIR
> -- use %{SOURCE2} instead of $RPM_SOURCE_DIR/... - you already defined these > additional sources in the top of the spec file
This one is arbitrary, and forcing the user to have to jump to the top of the file to figure out what SOURCE2 is, is impolite, so I'm not going to change it.

> plymouth.x86_64: W: obsolete-not-provided plymouth-text-and-details-only
>-- suggesting adding "Provides: plymouth-text-and-details-only = %{version}-%
> {release}"etc.
I'll just remove the Obsoletes entirely.  Adding a Provides is wrong here, but the Obsoletes only matters for Fedora, so might as well quiet rpmlint.

> plymouth.x86_64: W: file-not-utf8 /usr/share/man/man8/plymouth.8.gz
> -- iconv -f iso-8859-1 -t utf-8 ?
will fix.

> plymouth-theme-fade-in.x86_64: W: self-obsoletion plymouth-plugin-fade-in <= > 0.7.0-0.2009.05.08.2 obsoletes plymouth-plugin-fade-in = 0.7.0-0.2009.05.08.2
> Obsoletes: plymouth-plugin-fade-in <= 0.7.0-0.2009.05.08.2
> Provides: plymouth-plugin-fade-in = 0.7.0-0.2009.05.08.2
> -- change to sharp "<" instead of "<=", multiple occurrences in the spec file
Will fix.

Comment 1 RHEL Product and Program Management 2010-05-14 14:30:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Ray Strode [halfline] 2010-05-14 14:32:13 UTC
This is square now.

Comment 3 RHEL Product and Program Management 2010-05-14 15:54:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Ray Strode [halfline] 2010-09-29 14:18:44 UTC
yea, this particular rpmdiff warning isn't that important.  We're probably going to need to do a plymouth update in 6.1 anyway, so we can vacuum this up then.

I'll clone this bug report to track that issue.  Can you verify the rest of these fixes?

Comment 7 Ray Strode [halfline] 2010-09-29 14:21:55 UTC
I've cloned the remaining warning as bug 638621.

Comment 8 Ben Levenson 2010-10-07 18:54:18 UTC
(In reply to comment #0)
> > error: Bad source: /data/work/CVS/rhel/plymouth/RHEL-6/tty-fix.patch: No such > file or directory
> > -- the file is missing in repository, how did you manage to build it?
> Apparently built it without the patch. I have no idea what's gone wrong there. 
> I've reopened bug 590774 to fix this.

patch is included in src.rpm and properly applied in the spec
 
> > plymouth.x86_64: W: obsolete-not-provided plymouth-text-and-details-only
> >-- suggesting adding "Provides: plymouth-text-and-details-only = %{version}-%
> > {release}"etc.
> I'll just remove the Obsoletes entirely.  Adding a Provides is wrong here, but
> the Obsoletes only matters for Fedora, so might as well quiet rpmlint.

tracked in bug 638621

> > plymouth.x86_64: W: file-not-utf8 /usr/share/man/man8/plymouth.8.gz
> > -- iconv -f iso-8859-1 -t utf-8 ?
> will fix.

Fixed

> > plymouth-theme-fade-in.x86_64: W: self-obsoletion plymouth-plugin-fade-in <= > 0.7.0-0.2009.05.08.2 obsoletes plymouth-plugin-fade-in = 0.7.0-0.2009.05.08.2
> > Obsoletes: plymouth-plugin-fade-in <= 0.7.0-0.2009.05.08.2
> > Provides: plymouth-plugin-fade-in = 0.7.0-0.2009.05.08.2
> > -- change to sharp "<" instead of "<=", multiple occurrences in the spec file
> Will fix.

Fixed

-> VERIFIED

plymouth-0.8.3-17.el6

Comment 9 releng-rhel@redhat.com 2010-11-10 21:20:32 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.